%global gittag Neon.3

Name:      eclipse-mdt-uml2
Version:   5.2.3
Release:   1%{?dist}
Summary:   Implementation of the UML2 OMG meta-model for Eclipse
License:   EPL
URL:       http://www.eclipse.org/modeling/mdt/uml2

Source0:   http://git.eclipse.org/c/uml2/org.eclipse.uml2.git/snapshot/org.eclipse.uml2-%{gittag}.tar.xz

BuildArch:        noarch

BuildRequires:    tycho
BuildRequires:    eclipse-emf-runtime
BuildRequires:    eclipse-emf-validation

%description
UML2 is an EMF-based implementation of the Unified Modeling Language (UML) 2.x
OMG meta-model for the Eclipse platform. The objectives of the UML2 component
are to provide a usable implementation of the UML meta-model to support the
development of modeling tools, a common XMI schema to facilitate interchange
of semantic models, test cases as a means of validating the specification and
validation rules as a means of defining and enforcing levels of compliance.

%prep
%setup -q -n org.eclipse.uml2-%{gittag}

# remove stuff we're not building
rm -rf deprecated/ examples/ tests/ doc/ \
  plugins/*sdk-feature

# license feature should include a build.props file
sed -i -e '2ibuild.properties,\\' releng/org.eclipse.uml2.license-feature/build.properties

# generate poms
xmvn -o org.eclipse.tycho:tycho-pomgenerator-plugin:generate-poms \
  -DgroupId=org.eclipse.uml2 -Dversion=%{version}
find */*-feature -name pom.xml -exec sed -i -e 's/^  <groupId>\(.*\)</  <groupId>\1.features</' {} \;

# don't build stuff that shouldn't be shipped
%pom_disable_module releng/org.eclipse.uml2.build-feature
%pom_disable_module plugins/org.eclipse.uml2.capabilities

# don't install poms
%mvn_package "::pom::" __noinstall
# don't install license bundle (used at build time only)
%mvn_package ":org.eclipse.uml2.license" __noinstall

%build
%mvn_build -j -- -DforceContextQualifier=$(date -u +v%Y%m%d-%H00)

%install
%mvn_install

%files -f .mfiles
%license plugins/org.eclipse.uml2/about.html

%changelog
* Wed Mar 29 2017 Mat Booth <mat.booth@redhat.com> - 5.2.3-1
- Update to latest upstream release

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 5.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Oct 04 2016 Mat Booth <mat.booth@redhat.com> - 5.2.1-1
- Update to Neon.1 release

* Mon Jul 11 2016 Mat Booth <mat.booth@redhat.com> - 5.2.0-1
- Update to latest release

* Mon Apr 25 2016 Mat Booth <mat.booth@redhat.com> - 5.1.2-2
- Build/install with tycho/xmvn

* Wed Mar 09 2016 Mat Booth <mat.booth@redhat.com> - 5.1.2-1
- Update to Mars.2 release

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 5.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Oct 07 2015 Mat Booth <mat.booth@redhat.com> - 5.1.1-1
- Update to Mars.1 release

* Thu Jun 25 2015 Alexander Kurtakov <akurtako@redhat.com> 5.1.0-1
- Update to Mars release.

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Apr 08 2015 Mat Booth <mat.booth@redhat.com> - 5.0.2-2
- Fix context qualifiers

* Tue Apr 07 2015 Mat Booth <mat.booth@redhat.com> - 5.0.2-1
- Update to latest upstream release

* Thu Dec 4 2014 Alexander Kurtakov <akurtako@redhat.com> 4.0.2-5
- Adapt to eclipse-emf-runtime dropins change.

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 4.0.2-3
- Use Requires: java-headless rebuild (#1067528)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Apr 21 2013 Mat Booth <fedora@matbooth.co.uk> - 4.0.2-1
- Update to latest upstream, fix FTBFS rhbz #913957.

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Aug 06 2012 Mat Booth <fedora@matbooth.co.uk> - 4.0.0-1
- Update to latest version.
- Adapt newer packaging guidelines.
- Fix FTBFS.

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Sep 13 2010 Mat Booth <fedora@matbooth.co.uk> 3.1.0-1
- Update to Helios release.
- Fixes RHBZ #631324.

* Sun Nov 22 2009 Mat Booth <fedora@matbooth.co.uk> 3.0.1-2
- Don't pretty-print the package description.

* Sun Nov 8 2009 Mat Booth <fedora@matbooth.co.uk> 3.0.1-1
- New UML2 spec file based on eclipse-gef.
